Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class RowDescriptor

    java.lang.Object
      org.apache.cayenne.access.jdbc.RowDescriptor

    public class RowDescriptor

extends Object

A descriptor of a result row obtained from a database.

Since:
  1.2

Field Summary
`protected ColumnDescriptor[]` | `columns`
`protected ExtendedType[]` | `converters`

Constructor Summary
`protected` | `RowDescriptor()` Creates an empty RowDescriptor.
`` | `RowDescriptor(ColumnDescriptor[] columns, ExtendedType[] converters)` Creates a fully initialized RowDescriptor.

Method Summary
`ColumnDescriptor[]` | `getColumns()` Returns column descriptors.
`ExtendedType[]` | `getConverters()` Returns extended types for columns.
`int` | `getWidth()` Returns a number of columns in a row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columns

    protected ColumnDescriptor[] columns

### converters

    protected ExtendedType[] converters

Constructor Detail

### RowDescriptor

    protected RowDescriptor()

  Creates an empty RowDescriptor. Intended mainly for testing and use by subclasses.

### RowDescriptor

    public RowDescriptor(ColumnDescriptor[] columns,
                         ExtendedType[] converters)

  Creates a fully initialized RowDescriptor.

  Since:
    3.0

Method Detail

### getWidth

    public int getWidth()

  Returns a number of columns in a row.

### getColumns

    public ColumnDescriptor[] getColumns()

  Returns column descriptors.

### getConverters

    public ExtendedType[] getConverters()

  Returns extended types for columns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.